#define MAX 100
#include <stdio.h>
#include <time.h>

void randInit(int arr[])
{
  srand();
  int i;
  for (i = 0; i < MAX; i++)
    {
      arr[i] = rand(time(0)) % 500;
    }

  for (i = 0; i < MAX; i++)
    {
      printf("%d, ",arr[i]);
    }
}


void sort(int arr[])
{
  
  int tmp;
  int pos;
  int i;
  
  int j;
  for (j = 0; j < MAX; j++)
    {

      int min = MAX + 1;
      
      for (i = 0; i < MAX - 1; i++)
	{
	  if (arr[i]< arr[i + 1])
	    {
	      tmp = arr[i+1];
	      arr[i+1] = arr[i];
	      arr[i]=  tmp;
	    }
	  
	}
    }
}
int main () {
  int n, slumptabell[MAX];

  randInit(slumptabell);
  sort(slumptabell);
  int i;
  for (i = 0; i < MAX; i++)
    {
      printf("%d\n", slumptabell[i]);
    }

  return 0;
}
